---
{
    "title": "Cancel Load Action",
    "language": "en"
}
---

<!-- 
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

# Cancel Load Action

## Request

`POST /api/<db>/_cancel`

## Description

Used to cancel the load transaction of the specified label.
RETURN VALUES
    Return a JSON format string:
    Status: 
        Success: cancel succeed
        Others: cancel failed
    Message: Error message if cancel failed
    
## Path parameters

* `<db>`

    Specify the database name

## Query parameters

* `<label>`

    Specify the load label

## Request body

None

## Response

* Cancel success

    ```
    {
    	"msg": "OK",
    	"code": 0,
    	"data": null,
    	"count": 0
    }
    ```

* Cancel failed

    ```
    {
    	"msg": "Error msg...",
    	"code": 1,
    	"data": null,
    	"count": 0
    }
    ```
    
## Examples

1. Cancel the load transaction of the specified label

    ```
    POST /api/example_db/_cancel?label=my_label1

    Response:
    {
    	"msg": "OK",
    	"code": 0,
    	"data": null,
    	"count": 0
    }
    ```
    




